%global gitcommit baf801028e2f75665b737b515c0e8112545d9b54
%global shortcommit baf80102

%define up_name camlp4

Summary:        Pre-Processor-Pretty-Printer for OCaml
Name:           ocaml-%{up_name}
Version:        4.02.3
Release:        %mkrel 0.3.git%{shortcommit}
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
Url:            https://github.com/ocaml/camlp4
Source0:        https://github.com/ocaml/camlp4/archive/%{gitcommit}/%{up_name}-%{gitcommit}.tar.gz
# This comes from ocaml-findlib's ./configure
Source1:        META
BuildRequires:  ocaml-compiler = %{version}
BuildRequires:  ocaml-compiler-libs = %{version}
Requires:       ocaml-compiler = %{version}
Provides:       %{up_name} = %{version}-%{release}
Obsoletes:      %{up_name} < 4.02.3

%description
Camlp4 is a Pre-Processor-Pretty-Printer for OCaml, parsing a source
file and printing some result on standard output.

This package contains the runtime files.


%package devel
Summary:       Pre-Processor-Pretty-Printer for OCaml
Requires:      %{name} = %{version}-%{release}
Obsoletes:     %{up_name}-devel < 4.02.3

%description devel
Camlp4 is a Pre-Processor-Pretty-Printer for OCaml, parsing a source
file and printing some result on standard output.

This package contains the development files.

%prep
%setup -q -n camlp4-%{gitcommit}

%build
./configure
make all

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml/camlp4
make install \
  BINDIR=$RPM_BUILD_ROOT%{_bindir} \
  LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
  PKGDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/camlp4

cp -a %{SOURCE1} %{buildroot}%{_libdir}/ocaml/camlp4/META

%files
%doc README.md LICENSE
%dir %{_libdir}/ocaml/camlp4
%{_libdir}/ocaml/camlp4/*.cmi
%{_libdir}/ocaml/camlp4/*.cma
%{_libdir}/ocaml/camlp4/*.cmo
%dir %{_libdir}/ocaml/camlp4/Camlp4Filters
%{_libdir}/ocaml/camlp4/Camlp4Filters/*.cmi
%{_libdir}/ocaml/camlp4/Camlp4Filters/*.cmo
%dir %{_libdir}/ocaml/camlp4/Camlp4Parsers
%{_libdir}/ocaml/camlp4/Camlp4Parsers/*.cmo
%{_libdir}/ocaml/camlp4/Camlp4Parsers/*.cmi
%dir %{_libdir}/ocaml/camlp4/Camlp4Printers
%{_libdir}/ocaml/camlp4/Camlp4Printers/*.cmi
%{_libdir}/ocaml/camlp4/Camlp4Printers/*.cmo
%dir %{_libdir}/ocaml/camlp4/Camlp4Top
%{_libdir}/ocaml/camlp4/Camlp4Top/*.cmi
%{_libdir}/ocaml/camlp4/Camlp4Top/*.cmo
%{_libdir}/ocaml/camlp4/META

%files devel
%doc LICENSE
%{_bindir}/camlp4*
%{_bindir}/mkcamlp4
%{_libdir}/ocaml/camlp4/*.a
%{_libdir}/ocaml/camlp4/*.cmxa
%{_libdir}/ocaml/camlp4/*.cmx
%{_libdir}/ocaml/camlp4/*.o
%{_libdir}/ocaml/camlp4/Camlp4Filters/*.cmx
%{_libdir}/ocaml/camlp4/Camlp4Filters/*.o
%{_libdir}/ocaml/camlp4/Camlp4Parsers/*.cmx
%{_libdir}/ocaml/camlp4/Camlp4Parsers/*.o
%{_libdir}/ocaml/camlp4/Camlp4Printers/*.cmx
%{_libdir}/ocaml/camlp4/Camlp4Printers/*.o
%{_libdir}/ocaml/camlp4/Camlp4Top/*.cmx
%{_libdir}/ocaml/camlp4/Camlp4Top/*.o


%changelog
* Fri Jan 29 2016 pterjan <pterjan> 4.02.3-0.3.gitbaf80102.mga6
+ Revision: 928664
- Ship META file from findlib

* Fri Jan 29 2016 pterjan <pterjan> 4.02.3-0.2.gitbaf80102.mga6
+ Revision: 928578
- Obsolete camlp4{,-devel} from old ocaml packages
- imported package ocaml-camlp4

